---
title: SVG Attribute reference
slug: Web/SVG/Attribute
tags:
  - Drawing
  - Landing
  - NeedsHelp
  - Overview
  - Responsive Design
  - SVG
  - SVG Attribute
  - SVG Reference
  - Vector Graphics
---
<div>{{SVGRef}}</div>

<p class="summary"><span class="seoSummary">SVG elements can be modified using attributes that specify details about exactly how the element should be handled or rendered.</span> Below is a list of all of the attributes available in SVG along with links to reference documentation to help you learn which elements support them and how they work.</p>

<h2 id="SVG_attributes_A_to_Z">SVG attributes A to Z</h2>

<div class="index">
<h3 id="A">A</h3>

<ul>
 <li>{{SVGAttr("accent-height")}}</li>
 <li>{{SVGAttr("accumulate")}}</li>
 <li>{{SVGAttr("additive")}}</li>
 <li>{{SVGAttr("alignment-baseline")}}</li>
 <li>{{SVGAttr("allowReorder")}}</li>
 <li>{{SVGAttr("alphabetic")}}</li>
 <li>{{SVGAttr("amplitude")}}</li>
 <li>{{SVGAttr("arabic-form")}}</li>
 <li>{{SVGAttr("ascent")}}</li>
 <li>{{SVGAttr("attributeName")}}</li>
 <li>{{SVGAttr("attributeType")}}</li>
 <li>{{SVGAttr("autoReverse")}}</li>
 <li>{{SVGAttr("azimuth")}}</li>
</ul>

<h3 id="B">B</h3>

<ul>
 <li>{{SVGAttr("baseFrequency")}}</li>
 <li>{{SVGAttr("baseline-shift")}}</li>
 <li>{{SVGAttr("baseProfile")}}</li>
 <li>{{SVGAttr("bbox")}}</li>
 <li>{{SVGAttr("begin")}}</li>
 <li>{{SVGAttr("bias")}}</li>
 <li>{{SVGAttr("by")}}</li>
</ul>

<h3 id="C">C</h3>

<ul>
 <li>{{SVGAttr("calcMode")}}</li>
 <li>{{SVGAttr("cap-height")}}</li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("clip")}}</li>
 <li>{{SVGAttr("clipPathUnits")}}</li>
 <li>{{SVGAttr("clip-path")}}</li>
 <li>{{SVGAttr("clip-rule")}}</li>
 <li>{{SVGAttr("color")}}</li>
 <li>{{SVGAttr("color-interpolation")}}</li>
 <li>{{SVGAttr("color-interpolation-filters")}}</li>
 <li>{{SVGAttr("color-profile")}}</li>
 <li>{{SVGAttr("color-rendering")}}</li>
 <li>{{SVGAttr("contentScriptType")}}</li>
 <li>{{SVGAttr("contentStyleType")}}</li>
 <li>{{SVGAttr("cursor")}}</li>
 <li>{{SVGAttr("cx")}}</li>
 <li>{{SVGAttr("cy")}}</li>
</ul>

<h3 id="D">D</h3>

<ul>
 <li>{{SVGAttr("d")}}</li>
 <li>{{SVGAttr("decelerate")}}</li>
 <li>{{SVGAttr("descent")}}</li>
 <li>{{SVGAttr("diffuseConstant")}}</li>
 <li>{{SVGAttr("direction")}}</li>
 <li>{{SVGAttr("display")}}</li>
 <li>{{SVGAttr("divisor")}}</li>
 <li>{{SVGAttr("dominant-baseline")}}</li>
 <li>{{SVGAttr("dur")}}</li>
 <li>{{SVGAttr("dx")}}</li>
 <li>{{SVGAttr("dy")}}</li>
</ul>

<h3 id="E">E</h3>

<ul>
 <li>{{SVGAttr("edgeMode")}}</li>
 <li>{{SVGAttr("elevation")}}</li>
 <li>{{SVGAttr("enable-background")}}</li>
 <li>{{SVGAttr("end")}}</li>
 <li>{{SVGAttr("exponent")}}</li>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
</ul>

<h3 id="F">F</h3>

<ul>
 <li>{{SVGAttr("fill")}}</li>
 <li>{{SVGAttr("fill-opacity")}}</li>
 <li>{{SVGAttr("fill-rule")}}</li>
 <li>{{SVGAttr("filter")}}</li>
 <li>{{SVGAttr("filterRes")}}</li>
 <li>{{SVGAttr("filterUnits")}}</li>
 <li>{{SVGAttr("flood-color")}}</li>
 <li>{{SVGAttr("flood-opacity")}}</li>
 <li>{{SVGAttr("font-family")}}</li>
 <li>{{SVGAttr("font-size")}}</li>
 <li>{{SVGAttr("font-size-adjust")}}</li>
 <li>{{SVGAttr("font-stretch")}}</li>
 <li>{{SVGAttr("font-style")}}</li>
 <li>{{SVGAttr("font-variant")}}</li>
 <li>{{SVGAttr("font-weight")}}</li>
 <li>{{SVGAttr("format")}}</li>
 <li>{{SVGAttr("from")}}</li>
 <li>{{SVGAttr("fr")}}</li>
 <li>{{SVGAttr("fx")}}</li>
 <li>{{SVGAttr("fy")}}</li>
</ul>

<h3 id="G">G</h3>

<ul>
 <li>{{SVGAttr("g1")}}</li>
 <li>{{SVGAttr("g2")}}</li>
 <li>{{SVGAttr("glyph-name")}}</li>
 <li>{{SVGAttr("glyph-orientation-horizontal")}}</li>
 <li>{{SVGAttr("glyph-orientation-vertical")}}</li>
 <li>{{SVGAttr("glyphRef")}}</li>
 <li>{{SVGAttr("gradientTransform")}}</li>
 <li>{{SVGAttr("gradientUnits")}}</li>
</ul>

<h3 id="H">H</h3>

<ul>
 <li>{{SVGAttr("hanging")}}</li>
 <li>{{SVGAttr("height")}}</li>
 <li>{{SVGAttr("href")}}</li>
 <li>{{SVGAttr("hreflang")}}</li>
 <li>{{SVGAttr("horiz-adv-x")}}</li>
 <li>{{SVGAttr("horiz-origin-x")}}</li>
</ul>

<h3 id="I">I</h3>

<ul>
 <li>{{SVGAttr("id")}}</li>
 <li>{{SVGAttr("ideographic")}}</li>
 <li>{{SVGAttr("image-rendering")}}</li>
 <li>{{SVGAttr("in")}}</li>
 <li>{{SVGAttr("in2")}}</li>
 <li>{{SVGAttr("intercept")}}</li>
</ul>

<h3 id="K">K</h3>

<ul>
 <li>{{SVGAttr("k")}}</li>
 <li>{{SVGAttr("k1")}}</li>
 <li>{{SVGAttr("k2")}}</li>
 <li>{{SVGAttr("k3")}}</li>
 <li>{{SVGAttr("k4")}}</li>
 <li>{{SVGAttr("kernelMatrix")}}</li>
 <li>{{SVGAttr("kernelUnitLength")}}</li>
 <li>{{SVGAttr("kerning")}}</li>
 <li>{{SVGAttr("keyPoints")}}</li>
 <li>{{SVGAttr("keySplines")}}</li>
 <li>{{SVGAttr("keyTimes")}}</li>
</ul>

<h3 id="L">L</h3>

<ul>
 <li>{{SVGAttr("lang")}}</li>
 <li>{{SVGAttr("lengthAdjust")}}</li>
 <li>{{SVGAttr("letter-spacing")}}</li>
 <li>{{SVGAttr("lighting-color")}}</li>
 <li>{{SVGAttr("limitingConeAngle")}}</li>
 <li>{{SVGAttr("local")}}</li>
</ul>

<h3 id="M">M</h3>

<ul>
 <li>{{SVGAttr("marker-end")}}</li>
 <li>{{SVGAttr("marker-mid")}}</li>
 <li>{{SVGAttr("marker-start")}}</li>
 <li>{{SVGAttr("markerHeight")}}</li>
 <li>{{SVGAttr("markerUnits")}}</li>
 <li>{{SVGAttr("markerWidth")}}</li>
 <li>{{SVGAttr("mask")}}</li>
 <li>{{SVGAttr("maskContentUnits")}}</li>
 <li>{{SVGAttr("maskUnits")}}</li>
 <li>{{SVGAttr("mathematical")}}</li>
 <li>{{SVGAttr("max")}}</li>
 <li>{{SVGAttr("media")}}</li>
 <li>{{SVGAttr("method")}}</li>
 <li>{{SVGAttr("min")}}</li>
 <li>{{SVGAttr("mode")}}</li>
</ul>

<h3 id="N">N</h3>

<ul>
 <li>{{SVGAttr("name")}}</li>
 <li>{{SVGAttr("numOctaves")}}</li>
</ul>

<h3 id="O">O</h3>

<ul>
 <li>{{SVGAttr("offset")}}</li>
 <li>{{SVGAttr("opacity")}}</li>
 <li>{{SVGAttr("operator")}}</li>
 <li>{{SVGAttr("order")}}</li>
 <li>{{SVGAttr("orient")}}</li>
 <li>{{SVGAttr("orientation")}}</li>
 <li>{{SVGAttr("origin")}}</li>
 <li>{{SVGAttr("overflow")}}</li>
 <li>{{SVGAttr("overline-position")}}</li>
 <li>{{SVGAttr("overline-thickness")}}</li>
</ul>

<h3 id="P">P</h3>

<ul>
 <li>{{SVGAttr("panose-1")}}</li>
 <li>{{SVGAttr("paint-order")}}</li>
 <li>{{SVGAttr("path")}}</li>
 <li>{{SVGAttr("pathLength")}}</li>
 <li>{{SVGAttr("patternContentUnits")}}</li>
 <li>{{SVGAttr("patternTransform")}}</li>
 <li>{{SVGAttr("patternUnits")}}</li>
 <li>{{SVGAttr("ping")}}</li>
 <li>{{SVGAttr("pointer-events")}}</li>
 <li>{{SVGAttr("points")}}</li>
 <li>{{SVGAttr("pointsAtX")}}</li>
 <li>{{SVGAttr("pointsAtY")}}</li>
 <li>{{SVGAttr("pointsAtZ")}}</li>
 <li>{{SVGAttr("preserveAlpha")}}</li>
 <li>{{SVGAttr("preserveAspectRatio")}}</li>
 <li>{{SVGAttr("primitiveUnits")}}</li>
</ul>

<h3 id="R">R</h3>

<ul>
 <li>{{SVGAttr("r")}}</li>
 <li>{{SVGAttr("radius")}}</li>
 <li>{{SVGAttr("referrerPolicy")}}</li>
 <li>{{SVGAttr("refX")}}</li>
 <li>{{SVGAttr("refY")}}</li>
 <li>{{SVGAttr("rel")}}</li>
 <li>{{SVGAttr("rendering-intent")}}</li>
 <li>{{SVGAttr("repeatCount")}}</li>
 <li>{{SVGAttr("repeatDur")}}</li>
 <li>{{SVGAttr("requiredExtensions")}}</li>
 <li>{{SVGAttr("requiredFeatures")}}</li>
 <li>{{SVGAttr("restart")}}</li>
 <li>{{SVGAttr("result")}}</li>
 <li>{{SVGAttr("rotate")}}</li>
 <li>{{SVGAttr("rx")}}</li>
 <li>{{SVGAttr("ry")}}</li>
</ul>

<h3 id="S">S</h3>

<ul>
 <li>{{SVGAttr("scale")}}</li>
 <li>{{SVGAttr("seed")}}</li>
 <li>{{SVGAttr("shape-rendering")}}</li>
 <li>{{SVGAttr("slope")}}</li>
 <li>{{SVGAttr("spacing")}}</li>
 <li>{{SVGAttr("specularConstant")}}</li>
 <li>{{SVGAttr("specularExponent")}}</li>
 <li>{{SVGAttr("speed")}}</li>
 <li>{{SVGAttr("spreadMethod")}}</li>
 <li>{{SVGAttr("startOffset")}}</li>
 <li>{{SVGAttr("stdDeviation")}}</li>
 <li>{{SVGAttr("stemh")}}</li>
 <li>{{SVGAttr("stemv")}}</li>
 <li>{{SVGAttr("stitchTiles")}}</li>
 <li>{{SVGAttr("stop-color")}}</li>
 <li>{{SVGAttr("stop-opacity")}}</li>
 <li>{{SVGAttr("strikethrough-position")}}</li>
 <li>{{SVGAttr("strikethrough-thickness")}}</li>
 <li>{{SVGAttr("string")}}</li>
 <li>{{SVGAttr("stroke")}}</li>
 <li>{{SVGAttr("stroke-dasharray")}}</li>
 <li>{{SVGAttr("stroke-dashoffset")}}</li>
 <li>{{SVGAttr("stroke-linecap")}}</li>
 <li>{{SVGAttr("stroke-linejoin")}}</li>
 <li>{{SVGAttr("stroke-miterlimit")}}</li>
 <li>{{SVGAttr("stroke-opacity")}}</li>
 <li>{{SVGAttr("stroke-width")}}</li>
 <li>{{SVGAttr("style")}}</li>
 <li>{{SVGAttr("surfaceScale")}}</li>
 <li>{{SVGAttr("systemLanguage")}}</li>
</ul>

<h3 id="T">T</h3>

<ul>
 <li>{{SVGAttr("tabindex")}}</li>
 <li>{{SVGAttr("tableValues")}}</li>
 <li>{{SVGAttr("target")}}</li>
 <li>{{SVGAttr("targetX")}}</li>
 <li>{{SVGAttr("targetY")}}</li>
 <li>{{SVGAttr("text-anchor")}}</li>
 <li>{{SVGAttr("text-decoration")}}</li>
 <li>{{SVGAttr("text-rendering")}}</li>
 <li>{{SVGAttr("textLength")}}</li>
 <li>{{SVGAttr("to")}}</li>
 <li>{{SVGAttr("transform")}}</li>
 <li>{{SVGAttr("transform-origin")}}</li>
 <li>{{SVGAttr("type")}}</li>
</ul>

<h3 id="U">U</h3>

<ul>
 <li>{{SVGAttr("u1")}}</li>
 <li>{{SVGAttr("u2")}}</li>
 <li>{{SVGAttr("underline-position")}}</li>
 <li>{{SVGAttr("underline-thickness")}}</li>
 <li>{{SVGAttr("unicode")}}</li>
 <li>{{SVGAttr("unicode-bidi")}}</li>
 <li>{{SVGAttr("unicode-range")}}</li>
 <li>{{SVGAttr("units-per-em")}}</li>
</ul>

<h3 id="V">V</h3>

<ul>
 <li>{{SVGAttr("v-alphabetic")}}</li>
 <li>{{SVGAttr("v-hanging")}}</li>
 <li>{{SVGAttr("v-ideographic")}}</li>
 <li>{{SVGAttr("v-mathematical")}}</li>
 <li>{{SVGAttr("values")}}</li>
 <li>{{SVGAttr("vector-effect")}}</li>
 <li>{{SVGAttr("version")}}</li>
 <li>{{SVGAttr("vert-adv-y")}}</li>
 <li>{{SVGAttr("vert-origin-x")}}</li>
 <li>{{SVGAttr("vert-origin-y")}}</li>
 <li>{{SVGAttr("viewBox")}}</li>
 <li>{{SVGAttr("viewTarget")}}</li>
 <li>{{SVGAttr("visibility")}}</li>
</ul>

<h3 id="W">W</h3>

<ul>
 <li>{{SVGAttr("width")}}</li>
 <li>{{SVGAttr("widths")}}</li>
 <li>{{SVGAttr("word-spacing")}}</li>
 <li>{{SVGAttr("writing-mode")}}</li>
</ul>

<h3 id="X">X</h3>

<ul>
 <li>{{SVGAttr("x")}}</li>
 <li>{{SVGAttr("x-height")}}</li>
 <li>{{SVGAttr("x1")}}</li>
 <li>{{SVGAttr("x2")}}</li>
 <li>{{SVGAttr("xChannelSelector")}}</li>
 <li>{{SVGAttr("xlink:actuate")}}</li>
 <li>{{SVGAttr("xlink:arcrole")}}</li>
 <li>{{SVGAttr("xlink:href")}}</li>
 <li>{{SVGAttr("xlink:role")}}</li>
 <li>{{SVGAttr("xlink:show")}}</li>
 <li>{{SVGAttr("xlink:title")}}</li>
 <li>{{SVGAttr("xlink:type")}}</li>
 <li>{{SVGAttr("xml:base")}}</li>
 <li>{{SVGAttr("xml:lang")}}</li>
 <li>{{SVGAttr("xml:space")}}</li>
</ul>

<h3 id="Y">Y</h3>

<ul>
 <li>{{SVGAttr("y")}}</li>
 <li>{{SVGAttr("y1")}}</li>
 <li>{{SVGAttr("y2")}}</li>
 <li>{{SVGAttr("yChannelSelector")}}</li>
</ul>

<h3 id="Z">Z</h3>

<ul>
 <li>{{SVGAttr("z")}}</li>
 <li>{{SVGAttr("zoomAndPan")}}</li>
</ul>
</div>

<h2 id="SVG_attributes_by_category">SVG attributes by category</h2>

<h3 id="Generic_attributes">Generic attributes</h3>

<h4 id="Core_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Core">Core attributes</a></h4>

<p>{{SVGAttr("id")}}, {{SVGAttr("lang")}}, {{SVGAttr("tabindex")}}, {{SVGAttr("xml:base")}}, {{SVGAttr("xml:lang")}}, {{SVGAttr("xml:space")}}</p>

<h4 id="Style_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Styling">Style attributes</a></h4>

<p>{{SVGAttr("class")}}, {{SVGAttr("style")}}</p>

<h4 id="Conditional_processing_attributes">Conditional processing attributes</h4>

<p>{{SVGAttr("externalResourcesRequired")}}, {{SVGAttr("requiredExtensions")}}, {{SVGAttr("requiredFeatures")}}, {{SVGAttr("systemLanguage")}}.</p>

<h3 id="XLink_attributes">XLink attributes</h3>

<p>{{SVGAttr("xlink:href")}}, {{SVGAttr("xlink:type")}}, {{SVGAttr("xlink:role")}}, {{SVGAttr("xlink:arcrole")}}, {{SVGAttr("xlink:title")}}, {{SVGAttr("xlink:show")}}, {{SVGAttr("xlink:actuate")}}</p>

<h3 id="Presentation_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Presentation">Presentation attributes</a></h3>

<div class="note">Note that all SVG presentation attributes can be used as CSS properties.</div>

<p>{{SVGAttr("alignment-baseline")}}, {{SVGAttr("baseline-shift")}}, {{SVGAttr("clip")}}, {{SVGAttr("clip-path")}}, {{SVGAttr("clip-rule")}}, {{SVGAttr("color")}}, {{SVGAttr("color-interpolation")}}, {{SVGAttr("color-interpolation-filters")}}, {{SVGAttr("color-profile")}}, {{SVGAttr("color-rendering")}}, {{SVGAttr("cursor")}}, {{SVGAttr("direction")}}, {{SVGAttr("display")}}, {{SVGAttr("dominant-baseline")}}, {{SVGAttr("enable-background")}}, {{SVGAttr("fill")}}, {{SVGAttr("fill-opacity")}}, {{SVGAttr("fill-rule")}}, {{SVGAttr("filter")}}, {{SVGAttr("flood-color")}}, {{SVGAttr("flood-opacity")}}, {{SVGAttr("font-family")}}, {{SVGAttr("font-size")}}, {{SVGAttr("font-size-adjust")}}, {{SVGAttr("font-stretch")}}, {{SVGAttr("font-style")}}, {{SVGAttr("font-variant")}}, {{SVGAttr("font-weight")}}, {{SVGAttr("glyph-orientation-horizontal")}}, {{SVGAttr("glyph-orientation-vertical")}}, {{SVGAttr("image-rendering")}}, {{SVGAttr("kerning")}}, {{SVGAttr("letter-spacing")}}, {{SVGAttr("lighting-color")}}, {{SVGAttr("marker-end")}}, {{SVGAttr("marker-mid")}}, {{SVGAttr("marker-start")}}, {{SVGAttr("mask")}}, {{SVGAttr("opacity")}}, {{SVGAttr("overflow")}}, {{SVGAttr("pointer-events")}}, {{SVGAttr("shape-rendering")}}, {{SVGAttr("stop-color")}}, {{SVGAttr("stop-opacity")}}, {{SVGAttr("stroke")}}, {{SVGAttr("stroke-dasharray")}}, {{SVGAttr("stroke-dashoffset")}}, {{SVGAttr("stroke-linecap")}}, {{SVGAttr("stroke-linejoin")}}, {{SVGAttr("stroke-miterlimit")}}, {{SVGAttr("stroke-opacity")}}, {{SVGAttr("stroke-width")}}, {{SVGAttr("text-anchor")}}, {{SVGAttr("text-decoration")}}, {{SVGAttr("text-rendering")}}, {{SVGAttr("transform")}}, {{SVGAttr("transform-origin")}}, {{SVGAttr("unicode-bidi")}}, {{SVGAttr("vector-effect")}}, {{SVGAttr("visibility")}}, {{SVGAttr("word-spacing")}}, {{SVGAttr("writing-mode")}}</p>

<h3 id="Filters_attributes">Filters attributes</h3>

<h4 id="Filter_primitive_attributes">Filter primitive attributes</h4>

<p>{{SVGAttr("height")}}, {{SVGAttr("result")}}, {{SVGAttr("width")}}, {{SVGAttr("x")}}, {{SVGAttr("y")}}</p>

<h4 id="Transfer_function_attributes">Transfer function attributes</h4>

<p>{{SVGAttr("type")}}, {{SVGAttr("tableValues")}}, {{SVGAttr("slope")}}, {{SVGAttr("intercept")}}, {{SVGAttr("amplitude")}}, {{SVGAttr("exponent")}}, {{SVGAttr("offset")}}</p>

<h3 id="Animation_attributes">Animation attributes</h3>

<h4 id="Animation_target_element_attributes">Animation target element attributes</h4>

<p>{{SVGAttr("href")}}</p>

<h4 id="Animation_attribute_target_attributes">Animation attribute target attributes</h4>

<p>{{SVGAttr("attributeType")}}, {{SVGAttr("attributeName")}}</p>

<h4 id="Animation_timing_attributes">Animation timing attributes</h4>

<p>{{SVGAttr("begin")}}, {{SVGAttr("dur")}}, {{SVGAttr("end")}}, {{SVGAttr("min")}}, {{SVGAttr("max")}}, {{SVGAttr("restart")}}, {{SVGAttr("repeatCount")}}, {{SVGAttr("repeatDur")}}, {{SVGAttr("fill")}}</p>

<h4 id="Animation_value_attributes">Animation value attributes</h4>

<p>{{SVGAttr("calcMode")}}, {{SVGAttr("values")}}, {{SVGAttr("keyTimes")}}, {{SVGAttr("keySplines")}}, {{SVGAttr("from")}}, {{SVGAttr("to")}}, {{SVGAttr("by")}}, {{SVGAttr("autoReverse")}}, {{SVGAttr("accelerate")}}, {{SVGAttr("decelerate")}}</p>

<h4 id="Animation_addition_attributes">Animation addition attributes</h4>

<p>{{SVGAttr("additive")}}, {{SVGAttr("accumulate")}}</p>

<h3 id="Event_attributes">Event attributes</h3>

<h4 id="Animation_event_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Events#Animation_event_attributes">Animation event attributes</a></h4>

<p><strong><code>onbegin</code></strong>, <strong><code>onend</code></strong>, <strong><code>onrepeat</code></strong></p>

<h4 id="Document_event_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Events#Document_event_attributes">Document event attributes</a></h4>

<p><strong><code>onabort</code></strong>, <strong><code>onerror</code></strong>, <strong><code>onresize</code></strong>, <strong><code>onscroll</code></strong>, <strong><code>onunload</code></strong></p>

<h4 id="Global_event_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Events#Global_event_attributes">Global event attributes</a></h4>

<p><code><strong>oncancel</strong></code>, <code><strong>oncanplay</strong></code>, <code><strong>oncanplaythrough</strong></code>, <code><strong>onchange</strong></code>, <code><strong>onclick</strong></code>, <code><strong>onclose</strong></code>, <code><strong>oncuechange</strong></code>, <code><strong>ondblclick</strong></code>, <code><strong>ondrag</strong></code>, <code><strong>ondragend</strong></code>, <code><strong>ondragenter</strong></code>, <code><strong>ondragexit</strong></code>, <code><strong>ondragleave</strong></code>, <code><strong>ondragover</strong></code>, <code><strong>ondragstart</strong></code>, <code><strong>ondrop</strong></code>, <code><strong>ondurationchange</strong></code>, <code><strong>onemptied</strong></code>, <code><strong>onended</strong></code>, <code><strong>onerror</strong></code>, <code><strong>onfocus</strong></code>, <code><strong>oninput</strong></code>, <code><strong>oninvalid</strong></code>, <code><strong>onkeydown</strong></code>, <code><strong>onkeypress</strong></code>, <code><strong>onkeyup</strong></code>, <code><strong>onload</strong></code>, <code><strong>onloadeddata</strong></code>, <code><strong>onloadedmetadata</strong></code>, <code><strong>onloadstart</strong></code>, <code><strong>onmousedown</strong></code>, <code><strong>onmouseenter</strong></code>, <code><strong>onmouseleave</strong></code>, <code><strong>onmousemove</strong></code>, <code><strong>onmouseout</strong></code>, <code><strong>onmouseover</strong></code>, <code><strong>onmouseup</strong></code>, <code><strong>onmousewheel</strong></code>, <code><strong>onpause</strong></code>, <code><strong>onplay</strong></code>, <code><strong>onplaying</strong></code>, <code><strong>onprogress</strong></code>, <code><strong>onratechange</strong></code>, <code><strong>onreset</strong></code>, <code><strong>onresize</strong></code>, <code><strong>onscroll</strong></code>, <code><strong>onseeked</strong></code>, <code><strong>onseeking</strong></code>, <code><strong>onselect</strong></code>, <code><strong>onshow</strong></code>, <code><strong>onstalled</strong></code>, <code><strong>onsubmit</strong></code>, <code><strong>onsuspend</strong></code>, <code><strong>ontimeupdate</strong></code>, <code><strong>ontoggle</strong></code>, <code><strong>onvolumechange</strong></code>, <code><strong>onwaiting</strong></code></p>

<h4 id="Graphical_event_attributes"><a href="/en-US/docs/Web/SVG/Attribute/Events#Graphical_event_attributes">Graphical event attributes</a></h4>

<p><strong><code>onactivate</code></strong>, <strong><code>onfocusin</code></strong>, <strong><code>onfocusout</code></strong></p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Element">SVG element reference</a></li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial">SVG Tutorial</a></li>
 <li><a href="/en-US/docs/Web/API/Document_Object_Model#SVG_interfaces">SVG interface reference</a></li>
</ul>
